%define url_ver %(echo %{version}|cut -d. -f1,2)

# python are templates which cannot be byte compiled
%define _python_bytecompile_build 0

# filter out plugin .so from provides
%global __provides_exclude_from %{_libdir}/gnome-builder/plugins/.*\\.so

Name:		gnome-builder
Version:	3.24.2
Release:	%mkrel 2
Summary:	IDE for writing GNOME-based software
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Builder
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (tv) fix linking:
Patch0:		fix-linking.diff
BuildRequires:	intltool
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.6
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.16.1
BuildRequires:	pkgconfig(libdevhelp-3.0)
BuildRequires:	pkgconfig(libgit2-glib-1.0)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(gjs-1.0) >= 1.42.0
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(mm-common-util)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(flatpak)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	appdata-tools
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	llvm-devel
BuildRequires:	clang-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	vala-tools
BuildRequires:	meson

Requires:	gsettings-desktop-schemas
Requires:	pythonegg(3)(jedi)

Recommends:	flatpak-builder

%description
Builder attempts to be an IDE for writing software for GNOME. It does not try
to be a generic IDE, but one specialized for writing GNOME software.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--enable-vala=yes \
	--enable-autotools-plugin=yes \
	--enable-autotools-templates=yes \
	--enable-beautifier-plugin=yes \
	--enable-c-pack-plugin=yes \
	--enable-cargo-plugin=yes \
	--enable-clang-plugin=yes \
	--enable-cmake-plugin=yes \
	--enable-color-picker-plugin=yes \
	--enable-command-bar-plugin=yes \
	--enable-comment-code-plugin=yes \
	--enable-create-project-plugin=yes \
	--enable-ctags-plugin=yes \
	--enable-eslint-plugin=yes \
	--enable-file-search-plugin=yes \
	--enable-flatpak-plugin=yes \
	--enable-fpaste-plugin=yes \
	--enable-gcc-plugin=yes \
	--enable-gettext-plugin=yes \
	--enable-git-plugin=yes \
	--enable-gnome-code-assistance-plugin=yes \
	--enable-html-completion-plugin=yes \
	--enable-html-preview-plugin=yes \
	--enable-jedi-plugin=yes \
	--enable-jhbuild-plugin=yes \
	--enable-make-plugin=yes \
	--enable-meson-plugin=yes \
	--enable-mingw-plugin=yes \
	--enable-mono-plugin=yes \
	--enable-phpize-plugin=yes \
	--enable-project-tree-plugin=yes \
	--enable-python-gi-imports-completion-plugin=yes \
	--enable-python-pack-plugin=yes \
	--enable-quick-highlight-plugin=yes \
	--enable-rust-langserv-plugin=yes \
	--enable-rustup-plugin=yes \
	--enable-support-plugin=yes \
	--enable-symbol-tree-plugin=yes \
	--enable-sysmon-plugin=yes \
	--enable-terminal-plugin=yes \
	--enable-todo-plugin=yes \
	--enable-vala-pack-plugin=yes \
	--enable-valgrind-plugin=yes \
	--enable-xml-pack-plugin=yes \

#	--enable-sysprof-plugin=yes \
#	--enable-meson-templates=yes \


%make_build V=1

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc README NEWS
%{_bindir}/*
%{_libdir}/%{name}
%{_libexecdir}/%{name}
%{_libexecdir}/gnome-builder-worker
%{_datadir}/applications/org.gnome.Builder.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_iconsdir}/*/*/*/*
%{_datadir}/appdata/org.gnome.Builder.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Builder.service
%{_datadir}/gtksourceview-3.0
%{_datadir}/gnome-builder
%{python3_sitearch}/gi/overrides/Ide.py
%exclude %{python3_sitearch}/gi/overrides/__pycache__

%files devel
%{_libdir}/%{name}/pkgconfig/
%{_datadir}/%{name}/gir-1.0/
%{_datadir}/%{name}/vapi/
%doc %{_datadir}/doc/%{name}/html/
%{_includedir}/*



%changelog
* Sun Jun 04 2017 akien <akien> 3.24.2-2.mga6
+ Revision: 1106483
- Rebuild for devhelp 3.24.0

* Tue May 09 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1099766
- new version 3.24.2

* Mon Apr 10 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096342
- new version 3.24.1
- dropped merged patch 884b8b4f3504b4319cd88c385536ef070d41424c..5806789a23719386ef8cd8bd75f3d24a52cdc5bd.patch
- dropped merged patch 841794b3e4e3c16c70242dbddadce6c5d45378fb..e67c00433aac3cce63e680f052835111456d1a10.patch

* Thu Mar 23 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094538
- enable flatpak support
- add patch to fix linking against enchant (bgo#780420)
- fix linking (bgo#780414)
- new version 3.24.0

* Mon Mar 13 2017 ovitters <ovitters> 3.22.4-3.mga6
+ Revision: 1092344
- recommend flatpak-builder

* Sat Jan 07 2017 tv <tv> 3.22.4-2.mga6
+ Revision: 1080477
- rebuild for llvm+clang 3.9

* Thu Dec 22 2016 ovitters <ovitters> 3.22.4-1.mga6
+ Revision: 1076319
- new version 3.22.4

* Tue Nov 29 2016 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1070933
- new version 3.22.3
- new version 3.22.2

  + wally <wally>
    - new version 3.22.1
    - rediff linking patch

* Mon Oct 17 2016 wally <wally> 3.22.0-2.mga6
+ Revision: 1061303
- filter out plugin .so from provides
- redo linking patch to really fix underlinking

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055780
- don't byte compile .py files
- new version 3.22.0

* Wed Jun 08 2016 tv <tv> 3.20.4-2.mga6
+ Revision: 1020778
- adjust BRs for latest systemd

* Fri May 06 2016 ovitters <ovitters> 3.20.4-1.mga6
+ Revision: 1009868
- new version 3.20.4

* Thu Apr 28 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1007569
- new version 3.20.2

* Wed Mar 23 2016 tv <tv> 3.20.0-1.mga6
+ Revision: 994409
- easy "fix" for underlinking issues...
- new release

* Thu Mar 17 2016 daviddavid <daviddavid> 3.19.90-2.mga6
+ Revision: 992412
- fix requires (drop unwanted fedora's macros {?_isa})
- use new python macros

* Tue Mar 15 2016 tv <tv> 3.19.90-1.mga6
+ Revision: 990755
- rediff patch for new release
- new release
- adjust file list
- add a devel subpkg
- rediff linking patch
- disable unappliable patch
- rebuild for new clang
- rediff patch
- 3.19.4

* Mon Feb 15 2016 luigiwalser <luigiwalser> 3.18.1-5.mga6
+ Revision: 961586
- rebuild for vala

* Tue Jan 12 2016 tv <tv> 3.18.1-4.mga6
+ Revision: 922268
- rebuild for new gnutls

* Wed Jan 06 2016 tv <tv> 3.18.1-3.mga6
+ Revision: 920147
- rebuild for clang 3.7.1

* Thu Dec 17 2015 ovitters <ovitters> 3.18.1-2.mga6
+ Revision: 911519
- require pythonegg(3)(jedi)

* Thu Oct 29 2015 tv <tv> 3.18.1-1.mga6
+ Revision: 896531
- adjust file list
- link with pangoft2 too
- further fix linking

  + ovitters <ovitters>
    - new version 3.18.1

* Wed Oct 07 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 887193
- rebuild for new python3

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883242
- patch 0: fix linking
- adjust file list
- add missing BRs
- drop merged patches
- new release

* Wed Aug 05 2015 tv <tv> 3.16.3-2.mga6
+ Revision: 861400
- fix build with libgit2-glib
- rebuild for new llvm

* Mon Jun 22 2015 ovitters <ovitters> 3.16.3-1.mga6
+ Revision: 839875
- imported package gnome-builder

